PipelinesCreate an opportunity

Create an opportunity

POST /pipelines/{pipeline_id}/opportunities

curl -X POST "https://app.bualpro.com/api/pipelines/3.14/opportunities" \
  -H "Content-Type: application/json" \
  -H "X-ACCESS-TOKEN: YOUR_API_KEY" \
  -d '{
  "contact_id": "12345678",
  "title": "This is a test opportunity",
  "description": "...",
  "stage_id": 12334,
  "value": 300,
  "status": "open",
  "priority": "low",
  "assigned_admins": [
    55446563
  ],
  "custom_fields": [
    {
      "id": 1234,
      "value": "Any data"
    }
  ]
}'
{
  "data": [
    {
      "id": 3.14,
      "contact_id": 3.14,
      "title": "example_string",
      "description": "example_string",
      "value": 3.14,
      "status": "example_string",
      "priority": "example_string",
      "stage": {
        "id": 3.14,
        "name": "Johan Ahmad"
      },
      "assigned_admins": [
        3.14
      ],
      "created_at": "2028-02-08 12:34:56",
      "created_by": 3.14,
      "updated_at": "2028-02-08 12:34:56",
      "updated_by": 3.14
    }
  ]
}
POST
/pipelines/{pipeline_id}/opportunities
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-ACCESS-TOKEN)
X-ACCESS-TOKENstring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
stage_idnumber

if omitted, the the contact is added to first stage.

statusstring

won is positive and lost is negative

Options: open, won, lost
prioritystring
Options: low, medium, high
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-ACCESS-TOKENstring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

Body

application/json
stage_idnumber

if omitted, the the contact is added to first stage.

statusstring

won is positive and lost is negative

Allowed values:openwonlost
prioritystring
Allowed values:lowmediumhigh

Responses

Creates an opportunity / ticket.